package vocation

import "context"

type Service interface {
	Create(ctx context.Context, vocation *Vocation) error
	Update(ctx context.Context, vocation *Vocation) error
	Delete(ctx context.Context, id []byte, deletedBy []byte) error
	GetByID(ctx context.Context, id []byte) (*Vocation, error)
	List(ctx context.Context, filter, sort string, limit, offset int) ([]Vocation, int64, error)
}
